diff --git a/src/test/regress/sql/create_index.sql b/src/test/regress/sql/create_index.sql
index d8fded3d93..c2b0f58c6b 100644
--- a/src/test/regress/sql/create_index.sql
+++ b/src/test/regress/sql/create_index.sql
@@ -1140,12 +1140,12 @@ SELECT starelid::regclass, count(*) FROM pg_statistic WHERE starelid IN (
   'concur_exprs_index_pred_2'::regclass)
   GROUP BY starelid ORDER BY starelid::regclass::text;
 -- attstattarget should remain intact
-SELECT attrelid::regclass, attnum, attstattarget
+SELECT attrelid::regclass, attphysnum, attstattarget
   FROM pg_attribute WHERE attrelid IN (
     'concur_exprs_index_expr'::regclass,
     'concur_exprs_index_pred'::regclass,
     'concur_exprs_index_pred_2'::regclass)
-  ORDER BY attrelid::regclass::text, attnum;
+  ORDER BY attrelid::regclass::text, attphysnum;
 DROP TABLE concur_exprs_tab;
 
 -- Temporary tables and on-commit actions, where CONCURRENTLY is ignored.
diff --git a/src/test/regress/sql/create_table.sql b/src/test/regress/sql/create_table.sql
index 5175f404f7..b1d935c0fe 100644
--- a/src/test/regress/sql/create_table.sql
+++ b/src/test/regress/sql/create_table.sql
@@ -513,8 +513,8 @@ CREATE TABLE part_a PARTITION OF parted FOR VALUES IN ('a');
 
 -- only inherited attributes (never local ones)
 SELECT attname, attislocal, attinhcount FROM pg_attribute
-  WHERE attrelid = 'part_a'::regclass and attnum > 0
-  ORDER BY attnum;
+  WHERE attrelid = 'part_a'::regclass and attphysnum > 0
+  ORDER BY attphysnum;
 
 -- able to specify column default, column constraint, and table constraint
 
diff --git a/src/test/regress/sql/create_type.sql b/src/test/regress/sql/create_type.sql
index c6fc4f9029..017484ec65 100644
--- a/src/test/regress/sql/create_type.sql
+++ b/src/test/regress/sql/create_type.sql
@@ -180,7 +180,7 @@ CREATE TEMP TABLE mytab (foo widget(42,13,7));     -- should fail
 CREATE TEMP TABLE mytab (foo widget(42,13));
 
 SELECT format_type(atttypid,atttypmod) FROM pg_attribute
-WHERE attrelid = 'mytab'::regclass AND attnum > 0;
+WHERE attrelid = 'mytab'::regclass AND attphysnum > 0;
 
 -- might as well exercise the widget type while we're here
 INSERT INTO mytab VALUES ('(1,2,3)'), ('(-44,5.5,12)');
diff --git a/src/test/regress/sql/foreign_key.sql b/src/test/regress/sql/foreign_key.sql
index 725a59a525..6a1118098a 100644
--- a/src/test/regress/sql/foreign_key.sql
+++ b/src/test/regress/sql/foreign_key.sql
@@ -1087,7 +1087,7 @@ create rule r1 as on delete to t1 do delete from t2 where t2.b = old.a;
 explain (costs off) delete from t1 where a = 1;
 delete from t1 where a = 1;
 
--- Test a primary key with attributes located in later attnum positions
+-- Test a primary key with attributes located in later attphysnum positions
 -- compared to the fk attributes.
 create table pktable2 (a int, b int, c int, d int, e int, primary key (d, e));
 create table fktable2 (d int, e int, foreign key (d, e) references pktable2);
diff --git a/src/test/regress/sql/indexing.sql b/src/test/regress/sql/indexing.sql
index 42f398b67c..5370452cb2 100644
--- a/src/test/regress/sql/indexing.sql
+++ b/src/test/regress/sql/indexing.sql
@@ -423,9 +423,9 @@ create index on idxpart (col_keep);
 alter table idxpart attach partition idxpart1 for values from (0) to (1000);
 \d idxpart
 \d idxpart1
-select attrelid::regclass, attname, attnum from pg_attribute
-  where attrelid::regclass::text like 'idxpart%' and attnum > 0
-  order by attrelid::regclass, attnum;
+select attrelid::regclass, attname, attphysnum from pg_attribute
+  where attrelid::regclass::text like 'idxpart%' and attphysnum > 0
+  order by attrelid::regclass, attphysnum;
 drop table idxpart;
 
 -- Column number mapping: dropped columns in the parent table
@@ -439,9 +439,9 @@ create index on idxpart (col_keep);
 alter table idxpart attach partition idxpart1 for values from (0) to (1000);
 \d idxpart
 \d idxpart1
-select attrelid::regclass, attname, attnum from pg_attribute
-  where attrelid::regclass::text like 'idxpart%' and attnum > 0
-  order by attrelid::regclass, attnum;
+select attrelid::regclass, attname, attphysnum from pg_attribute
+  where attrelid::regclass::text like 'idxpart%' and attphysnum > 0
+  order by attrelid::regclass, attphysnum;
 drop table idxpart;
 
 --
diff --git a/src/test/regress/sql/inherit.sql b/src/test/regress/sql/inherit.sql
index 195aedb5ff..8075f622b6 100644
--- a/src/test/regress/sql/inherit.sql
+++ b/src/test/regress/sql/inherit.sql
@@ -375,7 +375,7 @@ SELECT a.attrelid::regclass, a.attname, a.attinhcount, e.expected
   FROM (SELECT inhrelid, count(*) AS expected FROM pg_inherits
         WHERE inhparent IN (SELECT inhrelid FROM r) GROUP BY inhrelid) e
   JOIN pg_attribute a ON e.inhrelid = a.attrelid WHERE NOT attislocal
-  ORDER BY a.attrelid::regclass::name, a.attnum;
+  ORDER BY a.attrelid::regclass::name, a.attphysnum;
 
 DROP TABLE inht1, inhs1 CASCADE;
 
diff --git a/src/test/regress/sql/insert.sql b/src/test/regress/sql/insert.sql
index bdcffd0314..5ca1483716 100644
--- a/src/test/regress/sql/insert.sql
+++ b/src/test/regress/sql/insert.sql
@@ -299,8 +299,8 @@ alter table mlparted11 drop a;
 alter table mlparted11 add a int;
 alter table mlparted11 drop a;
 alter table mlparted11 add a int not null;
--- attnum for key attribute 'a' is different in mlparted, mlparted1, and mlparted11
-select attrelid::regclass, attname, attnum
+-- attphysnum for key attribute 'a' is different in mlparted, mlparted1, and mlparted11
+select attrelid::regclass, attname, attphysnum
 from pg_attribute
 where attname = 'a'
  and (attrelid = 'mlparted'::regclass
diff --git a/src/test/regress/sql/join.sql b/src/test/regress/sql/join.sql
index a27a72086e..397f2add63 100644
--- a/src/test/regress/sql/join.sql
+++ b/src/test/regress/sql/join.sql
@@ -1770,8 +1770,8 @@ select uunique1 from
 
 select atts.relid::regclass, s.* from pg_stats s join
     pg_attribute a on s.attname = a.attname and s.tablename =
-    a.attrelid::regclass::text join (select unnest(indkey) attnum,
-    indexrelid from pg_index i) atts on atts.attnum = a.attnum where
+    a.attrelid::regclass::text join (select unnest(indkey) attphysnum,
+    indexrelid from pg_index i) atts on atts.attphysnum = a.attphysnum where
     schemaname != 'pg_catalog';
 
 --
diff --git a/src/test/regress/sql/opr_sanity.sql b/src/test/regress/sql/opr_sanity.sql
index 63fe114fed..5aae345792 100644
--- a/src/test/regress/sql/opr_sanity.sql
+++ b/src/test/regress/sql/opr_sanity.sql
@@ -1353,7 +1353,7 @@ FROM (SELECT indexrelid, indrelid, unnest(indkey) as ikey,
       FROM pg_index) ss,
       pg_attribute a,
       pg_opclass opc
-WHERE a.attrelid = indrelid AND a.attnum = ikey AND opc.oid = iclass AND
+WHERE a.attrelid = indrelid AND a.attphysnum = ikey AND opc.oid = iclass AND
       (NOT binary_coercible(atttypid, opcintype) OR icoll != attcollation);
 
 -- For system catalogs, be even tighter: nearly all indexes should be
@@ -1367,7 +1367,7 @@ FROM (SELECT indexrelid, indrelid, unnest(indkey) as ikey,
       WHERE indrelid < 16384) ss,
       pg_attribute a,
       pg_opclass opc
-WHERE a.attrelid = indrelid AND a.attnum = ikey AND opc.oid = iclass AND
+WHERE a.attrelid = indrelid AND a.attphysnum = ikey AND opc.oid = iclass AND
       (opcintype != atttypid OR icoll != attcollation)
 ORDER BY 1;
 
diff --git a/src/test/regress/sql/psql.sql b/src/test/regress/sql/psql.sql
index 1149c6a839..4fcb86d67c 100644
--- a/src/test/regress/sql/psql.sql
+++ b/src/test/regress/sql/psql.sql
@@ -124,8 +124,8 @@ SELECT 3 AS x, 'Hello', 4 AS y, true AS "dirty\name" \gdesc \g
 create temporary table gexec_test(a int, b text, c date, d float);
 select format('create index on gexec_test(%I)', attname)
 from pg_attribute
-where attrelid = 'gexec_test'::regclass and attnum > 0
-order by attnum
+where attrelid = 'gexec_test'::regclass and attphysnum > 0
+order by attphysnum
 \gexec
 
 -- \gexec should work in FETCH_COUNT mode too
diff --git a/src/test/regress/sql/sanity_check.sql b/src/test/regress/sql/sanity_check.sql
index 7f338d191c..67d6b076b7 100644
--- a/src/test/regress/sql/sanity_check.sql
+++ b/src/test/regress/sql/sanity_check.sql
@@ -11,7 +11,7 @@ SELECT relname, nspname
  WHERE relkind = 'r' and c.oid < 16384
      AND ((nspname ~ '^pg_') IS NOT FALSE)
      AND NOT EXISTS (SELECT 1 FROM pg_index i WHERE indrelid = c.oid
-                     AND indkey[0] = a.attnum AND indnatts = 1
+                     AND indkey[0] = a.attphysnum AND indnatts = 1
                      AND indisunique AND indimmediate);
 
 -- check that relations without storage don't have relfilenode
@@ -34,8 +34,8 @@ WITH check_columns AS (
    SELECT t.oid
     FROM pg_type t JOIN pg_attribute pa ON t.oid = pa.atttypid
     WHERE pa.attrelid = a.attrelid AND
-          pa.attnum > 0 AND pa.attnum < a.attnum
-    ORDER BY pa.attnum) AS coltypes
+          pa.attphysnum > 0 AND pa.attphysnum < a.attphysnum
+    ORDER BY pa.attphysnum) AS coltypes
  FROM pg_attribute a JOIN pg_class c ON c.oid = attrelid
   JOIN pg_namespace n ON c.relnamespace = n.oid
  WHERE attalign = 'd' AND relkind = 'r' AND
diff --git a/src/test/regress/sql/type_sanity.sql b/src/test/regress/sql/type_sanity.sql
index 5edc1f1f6e..fedd8790ac 100644
--- a/src/test/regress/sql/type_sanity.sql
+++ b/src/test/regress/sql/type_sanity.sql
@@ -420,15 +420,15 @@ WHERE pc.relkind IN ('r', 't', 'm') and
 
 SELECT a1.attrelid, a1.attname
 FROM pg_attribute as a1
-WHERE a1.attrelid = 0 OR a1.atttypid = 0 OR a1.attnum = 0 OR
+WHERE a1.attrelid = 0 OR a1.atttypid = 0 OR a1.attphysnum = 0 OR
     a1.attcacheoff != -1 OR a1.attinhcount < 0 OR
     (a1.attinhcount = 0 AND NOT a1.attislocal);
 
--- Cross-check attnum against parent relation
+-- Cross-check attphysnum against parent relation
 
 SELECT a1.attrelid, a1.attname, c1.oid, c1.relname
 FROM pg_attribute AS a1, pg_class AS c1
-WHERE a1.attrelid = c1.oid AND a1.attnum > c1.relnatts;
+WHERE a1.attrelid = c1.oid AND a1.attphysnum > c1.relnatts;
 
 -- Detect missing pg_attribute entries: should have as many non-system
 -- attributes as parent relation expects
@@ -436,7 +436,7 @@ WHERE a1.attrelid = c1.oid AND a1.attnum > c1.relnatts;
 SELECT c1.oid, c1.relname
 FROM pg_class AS c1
 WHERE c1.relnatts != (SELECT count(*) FROM pg_attribute AS a1
-                      WHERE a1.attrelid = c1.oid AND a1.attnum > 0);
+                      WHERE a1.attrelid = c1.oid AND a1.attphysnum > 0);
 
 -- Cross-check against pg_type entry
 -- NOTE: we allow attstorage to be 'plain' even when typstorage is not;
@@ -588,5 +588,5 @@ SELECT oid, typname, typtype, typelem, typarray
     AND NOT EXISTS (SELECT 1
                     FROM pg_attribute a
                     WHERE a.atttypid=t.oid AND
-                          a.attnum > 0 AND
+                          a.attphysnum > 0 AND
                           a.attrelid='tab_core_types'::regclass);
diff --git a/src/tutorial/syscat.source b/src/tutorial/syscat.source
index 6458c32372..9aa7a6e999 100644
--- a/src/tutorial/syscat.source
+++ b/src/tutorial/syscat.source
@@ -57,7 +57,7 @@ SELECT n.nspname AS schema_name,
   WHERE bc.relnamespace = n.oid
      and i.indrelid = bc.oid
      and i.indexrelid = ic.oid
-     and i.indkey[0] = a.attnum
+     and i.indkey[0] = a.attphysnum
      and i.indnatts = 1
      and a.attrelid = bc.oid
   ORDER BY schema_name, class_name, index_name, attname;
@@ -74,7 +74,7 @@ SELECT n.nspname, c.relname, a.attname, format_type(t.oid, null) as typname
     and c.relkind = 'r'     -- no indices
     and n.nspname not like 'pg\_%' -- no catalogs
     and n.nspname != 'information_schema' -- no information_schema
-    and a.attnum > 0        -- no system att's
+    and a.attphysnum > 0        -- no system att's
     and not a.attisdropped   -- no dropped columns
     and a.attrelid = c.oid
     and a.atttypid = t.oid
-- 
2.33.1

